# Generated by Django 4.2 on 2023-04-12 13:13

from django.db import migrations, models
import django.db.models.deletion
import pulpcore.app.models.task
import pulpcore.app.util


class Migration(migrations.Migration):
    dependencies = [
        ("core", "0105_abstract_uuid_gen"),
    ]

    operations = [
        migrations.AlterField(
            model_name="artifactdistribution",
            name="distribution_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                serialize=False,
                to="core.distribution",
            ),
        ),
        migrations.AlterField(
            model_name="basedistribution",
            name="content_guard",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.contentguard",
            ),
        ),
        migrations.AlterField(
            model_name="basedistribution",
            name="remote",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.remote",
            ),
        ),
        migrations.AlterField(
            model_name="contentartifact",
            name="content",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="core.content"
            ),
        ),
        migrations.AlterField(
            model_name="contentredirectcontentguard",
            name="contentguard_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                serialize=False,
                to="core.contentguard",
            ),
        ),
        migrations.AlterField(
            model_name="createdresource",
            name="task",
            field=models.ForeignKey(
                default=pulpcore.app.models.task.Task.current,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="created_resources",
                to="core.task",
            ),
        ),
        migrations.AlterField(
            model_name="filesystemexporter",
            name="exporter_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                serialize=False,
                to="core.exporter",
            ),
        ),
        migrations.AlterField(
            model_name="progressreport",
            name="task",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="progress_reports",
                to="core.task",
            ),
        ),
        migrations.AlterField(
            model_name="publication",
            name="repository_version",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="core.repositoryversion"
            ),
        ),
        migrations.AlterField(
            model_name="publishedartifact",
            name="content_artifact",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="core.contentartifact"
            ),
        ),
        migrations.AlterField(
            model_name="publishedartifact",
            name="publication",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="core.publication"
            ),
        ),
        migrations.AlterField(
            model_name="publishedmetadata",
            name="content_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                serialize=False,
                to="core.content",
            ),
        ),
        migrations.AlterField(
            model_name="publishedmetadata",
            name="publication",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="core.publication"
            ),
        ),
        migrations.AlterField(
            model_name="pulpexport",
            name="export_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                serialize=False,
                to="core.export",
            ),
        ),
        migrations.AlterField(
            model_name="pulpexporter",
            name="exporter_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                serialize=False,
                to="core.exporter",
            ),
        ),
        migrations.AlterField(
            model_name="pulpexporter",
            name="repositories",
            field=models.ManyToManyField(to="core.repository"),
        ),
        migrations.AlterField(
            model_name="pulpimport",
            name="import_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                serialize=False,
                to="core.import",
            ),
        ),
        migrations.AlterField(
            model_name="pulpimporter",
            name="importer_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                serialize=False,
                to="core.importer",
            ),
        ),
        migrations.AlterField(
            model_name="rbaccontentguard",
            name="contentguard_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                serialize=False,
                to="core.contentguard",
            ),
        ),
        migrations.AlterField(
            model_name="remote",
            name="pulp_domain",
            field=models.ForeignKey(
                default=pulpcore.app.util.get_domain_pk,
                on_delete=django.db.models.deletion.PROTECT,
                to="core.domain",
            ),
        ),
        migrations.AlterField(
            model_name="remoteartifact",
            name="content_artifact",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="core.contentartifact"
            ),
        ),
        migrations.AlterField(
            model_name="remoteartifact",
            name="remote",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="core.remote"
            ),
        ),
        migrations.AlterField(
            model_name="repositorycontent",
            name="repository",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="core.repository"
            ),
        ),
        migrations.AlterField(
            model_name="repositoryversion",
            name="base_version",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.repositoryversion",
            ),
        ),
        migrations.AlterField(
            model_name="repositoryversion",
            name="repository",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="core.repository"
            ),
        ),
        migrations.AlterField(
            model_name="repositoryversioncontentdetails",
            name="repository_version",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="counts",
                to="core.repositoryversion",
            ),
        ),
        migrations.AlterField(
            model_name="task",
            name="worker",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="tasks",
                to="core.worker",
            ),
        ),
        migrations.AlterField(
            model_name="uploadchunk",
            name="upload",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="chunks",
                to="core.upload",
            ),
        ),
    ]
